src/mesh/cs_mesh_connect.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_mesh_connect.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_error.h"`
`#include "bft_mem.h"`
`#include "cs_base.h"`
`#include "cs_mesh.h"`
`#include "fvm_defs.h"`
`#include "fvm_nodal.h"`
`#include "fvm_nodal_from_desc.h"`
`#include "fvm_nodal_order.h"`
`#include "cs_mesh_connect.h"`
Include dependency graph for cs_mesh_connect.c:

## Functions
void | cs_mesh_connect_get_cell_faces (const cs_mesh_t *mesh, cs_lnum_t extr_cell_size, const cs_lnum_t extr_cell_id[], cs_lnum_t **const p_cell_faces_idx, cs_lnum_t **const p_cell_faces_val)
fvm_nodal_t * | cs_mesh_connect_cells_to_nodal (const cs_mesh_t *mesh, const char *name, bool include_families, cs_lnum_t cell_list_size, cs_lnum_t cell_list[])
fvm_nodal_t * | cs_mesh_connect_faces_to_nodal (const cs_mesh_t *mesh, const char *name, bool include_families, cs_lnum_t i_face_list_size, cs_lnum_t b_face_list_size, cs_lnum_t i_face_list[], cs_lnum_t b_face_list[])

## Function Documentation

fvm_nodal_t* cs_mesh_connect_cells_to_nodal | ( | const cs_mesh_t * | mesh,
|  | const char * | name,
|  | bool | include_families,
|  | cs_lnum_t | cell_list_size,
|  | cs_lnum_t | cell_list[]
| ) |  |

fvm_nodal_t* cs_mesh_connect_faces_to_nodal | ( | const cs_mesh_t * | mesh,
|  | const char * | name,
|  | bool | include_families,
|  | cs_lnum_t | i_face_list_size,
|  | cs_lnum_t | b_face_list_size,
|  | cs_lnum_t | i_face_list[],
|  | cs_lnum_t | b_face_list[]
| ) |  |

void cs_mesh_connect_get_cell_faces | ( | const cs_mesh_t * | mesh,
|  | cs_lnum_t | extr_cell_size,
|  | const cs_lnum_t | extr_cell_id[],
|  | cs_lnum_t **const | p_cell_faces_idx,
|  | cs_lnum_t **const | p_cell_faces_val
| ) |  |